Page MenuHomePhabricator

Make GlobalUsersPager properly support gender
Closed, ResolvedPublic

Description

This is a follow-up task to 7bad38dc391635c574fe902a2e1b63c2c1cd1404. Currently Special:GlobalUsers passes '#' as the username for gender in groups. This seems wrong. This means that the group name listed will be the neutral version, even if the user selected masculine or feminine in their preferences.

In CentralAuth/includes/specials/SpecialGlobalUsers.php

You should modify GlobalUsersPager::getUserGroups to take a second parameter $userName . It should pass this parameter to UserGroupMembership::getLink as the fourth argument (instead of '#').

In GlobalUserPager::formatRow you should modify the call to $this->getUserGroups() to add a second parameter, which should be $row->gu_name

Event Timeline

Bawolff created this task.Dec 8 2017, 4:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 4:10 PM

Change 396571 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/CentralAuth@master] SpecialGlobalUsers: Make GlobalUsersPager properly support gender

https://gerrit.wikimedia.org/r/396571

Change 396571 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] SpecialGlobalUsers: Make GlobalUsersPager properly support gender

https://gerrit.wikimedia.org/r/396571

Bawolff closed this task as Resolved.Dec 9 2017, 12:28 PM
Bawolff assigned this task to rafidaslam.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM